Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.util
Class UserInfoMap

    java.lang.Object
      com.plumtree.remote.util.NamedValueMap
          com.plumtree.remote.util.UserInfoMap

public class UserInfoMap
extends NamedValueMap

Utility class for constructing a `UserInfo` object.

Constructor Summary
`UserInfoMap()` Default constructor.
`UserInfoMap(NamedValue[] nvArray)` Creates a new NamedValueMap instance and initializes it with values from the given array.

Method Summary
`java.lang.String` | `getAccessingFromIntranet()` Gets whether the user is accessing from the intranet.
`java.lang.String` | `getDepartment()` Gets the user's department.
`java.lang.String` | `getEmail()` Gets the user's email.
`java.lang.String` | `getEmployeeID()` Gets the user's employee ID.
`java.lang.String` | `getFullName()` Gets the user's full name.
`java.lang.String` | `getManager()` Gets the user's manager.
`java.lang.String` | `getPhone()` Gets the user's phone number.
`java.lang.String` | `getProfileUserID()` Gets the user's profile ID.
`java.lang.String` | `getTitle()` Gets the user's title.
`java.lang.String` | `getZipCode()` Gets the user's zip code.

Methods inherited from class com.plumtree.remote.util.NamedValueMap
`fromArray, get, put, put, remove, remove, toArray, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserInfoMap

    public UserInfoMap()

  Default constructor.

See Also:
  `Object.Object()`

### UserInfoMap

    public UserInfoMap(NamedValue[] nvArray)

  Creates a new NamedValueMap instance and initializes it with values from the given array.

See Also:
  `NamedValueMap.NamedValueMap(NamedValue[])`

Method Detail

### getEmail

    public java.lang.String getEmail()

  Gets the user's email.

  Returns:
    user's email

### getFullName

    public java.lang.String getFullName()

  Gets the user's full name.

  Returns:
    user's full name

### getPhone

    public java.lang.String getPhone()

  Gets the user's phone number.

  Returns:
    user's phone number

### getEmployeeID

    public java.lang.String getEmployeeID()

  Gets the user's employee ID.

  Returns:
    user's employee ID

### getDepartment

    public java.lang.String getDepartment()

  Gets the user's department.

  Returns:
    user's department

### getTitle

    public java.lang.String getTitle()

  Gets the user's title.

  Returns:
    user's title

### getZipCode

    public java.lang.String getZipCode()

  Gets the user's zip code.

  Returns:
    user's zip code

### getManager

    public java.lang.String getManager()

  Gets the user's manager.

  Returns:
    user's manager

### getAccessingFromIntranet

    public java.lang.String getAccessingFromIntranet()

  Gets whether the user is accessing from the intranet.

  Returns:
    true if the user is accessing from the intranet; false otherwise

### getProfileUserID

    public java.lang.String getProfileUserID()

  Gets the user's profile ID.

  Returns:
    user's profile ID

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.